@charset "utf-8";
/* ▼ About Message ▼-------------------------------- */
.about-message__inner {
    max-width: calc(1100px + 40px);
    margin: 0 auto;
    padding: 128px 20px 143px;
    text-align: center;
    background: url("../images/about_message_bg.svg") no-repeat center / contain;
}
.about-message__ttl {
    margin-bottom: 70px;
    font-family: "Zen Old Mincho", serif;
    font-size: 32px;
}
.about-message__text p {
    font-family: "Zen Old Mincho", serif;
    font-size: 20px;
    line-height: 2.5;
}
.about-message__text p + p {
    margin-top: 3rem;
}
@media screen and (max-width: 767px) {
    .about-message__inner {
        padding: 85px 20px;
        background-size: auto 100%;
    }
    .about-message__ttl {
        font-size: 20px;
        margin-bottom: 30px;
    }
    .about-message__text p {
        font-size: 14px;
        line-height: 2.1;
    }
    .about-message__text span {
        display: inline-block;
    }
}

/* ▼ Feature ▼-------------------------------------- */
.feature {
    overflow-x: hidden;
}
.feature__inner {
    max-width: calc(1100px + 40px);
    margin: 0 auto;
    padding: 150px 20px 250px;
}
.feature__item + .feature__item {
    margin-top: 250px;
}
/* 上段：main */
.feature__main {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 36px;
}
.feature__img {
    width: 50%;
}
.feature__content {
    width: 50%;
}
.feature__ttl {
    margin-bottom: 20px;
    font-size: 32px;
    font-weight: 500;
    position: relative;
    z-index: 2;
}
.feature__ttl::after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 210px;
    background-repeat: no-repeat;
    background-size: contain;
    transform-origin: top right;
    z-index: -1;
}
.feature__item:nth-child(odd) .feature__ttl::after {
    right: calc((100vw - 100%) / -2);
    transform: translateX(-55%) rotate(-15deg);
}
.feature__item:nth-child(even) .feature__ttl::after {
    left: calc((100vw - 100%) / -2);
    transform: translateX(55%) rotate(-15deg);
}
.feature__item--quiche .feature__ttl::after {
    background-image: url("../images/about_feature_hdg_quiche.svg");
}
.feature__item--kids .feature__ttl::after {
    background-image: url("../images/about_feature_hdg_kids.svg");
}
.feature__item--relaxing .feature__ttl::after {
    background-image: url("../images/about_feature_hdg_relaxing.svg");
}
.feature__item--reserved .feature__ttl::after {
    background-image: url("../images/about_feature_hdg_reserved.svg");
}

.feature__content p {
    line-height: 2.8;
    letter-spacing: 0.08em;
    z-index: 2;
}
/* 下段：gallery */
.feature__gallery {
    display: flex;
    justify-content: center;
    gap: 33px;
    margin-top: 40px;
}
.feature__gallery img {
    width: 250px;
    height: auto;
}
.feature__gallery picture:nth-child(odd) {
    margin-bottom: 125px;
}
.feature__gallery picture:nth-child(even) {
    margin-top: 125px;
}
/* item--reverse */
.feature__item--reverse .feature__main {
    flex-direction: row-reverse;
}
.feature__item--reverse .feature__ttl::after {
    top: -100px;
    left: -25%;
}
@media screen and (max-width: 767px) {
    .feature__inner {
        max-width: 84%;
        margin: 0 auto;
        padding: 150px 0px 110px;
    }
    .feature__item + .feature__item {
        margin-top: 100px;
    }
    .feature__main,
    .feature__item--reverse .feature__main {
        flex-direction: column;
        gap: 30px;
        position: relative;
    }
    .feature__img {
        margin: 0 calc(50% - 50vw);
        width: 100vw;
        order: 2;
        z-index: 2;
    }
    .feature__content {
        display: contents;
    }
    .feature__ttl {
        font-size: 20px;
        order: 1;
        z-index: 1;
    }
    .feature__ttl::after {
        height: 126px;
        transform-origin: left center;
    }
    .feature__item:nth-child(odd) .feature__ttl::after {
        top: 0;
        left: 50%;
        right: auto;
        transform: translateX(-30%) rotate(-15deg);
        width: clamp(280px, 90vw, 500px);
    }
    .feature__item:nth-child(even) .feature__ttl::after {
        top: 0;
        left: 50%;
        right: auto;
        transform: translateX(-40%) rotate(-15deg);
        width: clamp(280px, 80vw, 450px);
    }
    .feature__content p {
        font-size: 13px;
        line-height: 2.2;
        order: 3;
    }
    .feature__gallery {
        flex-wrap: wrap;
        gap: 15px;
        margin-top: 30px;
    }
    .feature__gallery picture {
        width: calc(50% - 7.5px);
        display: block;
    }
    .feature__gallery img {
        width: 100%;
        height: auto;
    }
    .feature__gallery picture:nth-child(odd),
    .feature__gallery picture:nth-child(even) {
        margin: 0;
    }
}

/* ▼ Recruit ▼-------------------------------------- */
.recruit {
    width: 100%;
    background: url("../images/about_recruit_bg.jpg") no-repeat center / cover;
}
.recruit__inner {
    max-width: calc(1100px + 40px);
    margin: 0 auto;
    padding: 90px 20px 160px;
    text-align: center;
}
.recruit__text {
    margin-top: 117px;
    line-height: 2.8;
}
.recruit__btn {
    max-width: 500px;
    margin: 115px auto 0;
}
.contact-box__item--recruit {
    display: block;
    width: 100%;
    background-color: #e4c3b5;
}
.contact-box__item--recruit img {
    opacity: 0.15;
}
.contact-box__item--recruit:hover {
    filter: brightness(1.05);
}
.contact-box__item--recruit img:hover {
    opacity: 0.5;
}

@media screen and (max-width: 767px) {
    .recruit__inner {
        max-width: calc(84% + 40px);
        padding: 50px 20px 100px;
    }
    .recruit__text {
        margin-top: 40px;
        font-size: 13px;
        line-height: 2.5;
    }
    .recruit__text span {
        display: inline-block;
    }
    .recruit__btn {
        margin-top: 50px;
        max-width: 315px;
    }
}
